Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractProxyModel

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.core.QAbstractItemModel
                      com.trolltech.qt.gui.QAbstractProxyModel

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QSortFilterProxyModel

    public abstract class QAbstractProxyModel

extends QAbstractItemModel

The `QAbstractProxyModel` class provides a base class for proxy item models that can do sorting, filtering or other data processing tasks.

This class defines the standard interface that proxy models must use to be able to interoperate correctly with other model/view components. It is not supposed to be instantiated directly.

All standard proxy models are derived from the `QAbstractProxyModel` class. If you need to create a new proxy model class, it is usually better to subclass an existing class that provides the closest behavior to the one you want to provide. Proxy models that filter or sort items of data from a source model should be created by using or subclassing `QSortFilterProxyModel`.

See Also:
  `QSortFilterProxyModel`, `QAbstractItemModel`, Model/View Programming

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Field Summary

Fields inherited from class com.trolltech.qt.core.QAbstractItemModel
`dataChanged, headerDataChanged, layoutAboutToBeChanged, layoutChanged`

Constructor Summary
`QAbstractProxyModel()` Equivalent to `QAbstractProxyModel`(0).
`QAbstractProxyModel(QObject parent)` Constructs a proxy model with the given `parent`.

Method Summary
`java.lang.Object` | `data(QModelIndex proxyIndex, int role)` This function is reimplemented for internal reasons.
`Qt.ItemFlags` | `flags(QModelIndex index)` This function is reimplemented for internal reasons.
`static QAbstractProxyModel` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QAbstractProxyModel instance pointed to by nativePointer
`java.lang.Object` | `headerData(int section, Qt.Orientation orientation, int role)` This function is reimplemented for internal reasons.
`java.util.SortedMap<java.lang.Integer,java.lang.Object>` | `itemData(QModelIndex index)` This function is reimplemented for internal reasons.
`abstract QModelIndex` | `mapFromSource(QModelIndex sourceIndex)` Reimplement this function to return the model index in the proxy model that corresponds to the `sourceIndex` from the source model.
`QItemSelection` | `mapSelectionFromSource(QItemSelection selection)` Returns a proxy selection mapped from the specified `selection`.
`QItemSelection` | `mapSelectionToSource(QItemSelection selection)` Returns a source selection mapped from the specified `selection`.
`abstract QModelIndex` | `mapToSource(QModelIndex proxyIndex)` Reimplement this function to return the model index in the source model that corresponds to the `proxyIndex` in the proxy model.
`void` | `revert()` This function is reimplemented for internal reasons.
`void` | `setSourceModel(QAbstractItemModel sourceModel)` Sets the given `sourceModel` to be processed by the proxy model.
`QAbstractItemModel` | `sourceModel()` Returns the model that contains the data that is available through the proxy model.
`boolean` | `submit()` This function is reimplemented for internal reasons.

Methods inherited from class com.trolltech.qt.core.QAbstractItemModel
`beginInsertColumns, beginInsertRows, beginRemoveColumns, beginRemoveRows, buddy, canFetchMore, changePersistentIndex, changePersistentIndexList, columnCount, columnCount, createIndex, createIndex, createIndex, data, data, data, decodeData, dropMimeData, encodeData, endInsertColumns, endInsertRows, endRemoveColumns, endRemoveRows, fetchMore, hasChildren, hasChildren, hasIndex, hasIndex, headerData, index, index, insertColumn, insertColumn, insertColumns, insertColumns, insertRow, insertRow, insertRows, insertRows, match, match, match, match, mimeData, mimeTypes, parent, persistentIndexList, removeColumn, removeColumn, removeColumns, removeColumns, removeRow, removeRow, removeRows, removeRows, reset, rowCount, rowCount, setData, setData, setData, setData, setHeaderData, setHeaderData, setItemData, setSupportedDragActions, setSupportedDragActions, sibling, sort, sort, span, supportedDragActions, supportedDropActions`

Methods inherited from class com.trolltech.qt.core.QObject
`blockSignals, childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, property, removeEventFilter, setObjectName, setParent, setProperty, signalsBlocked, startTimer, thread, timerEvent`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`disconnect, disconnect, signalSender`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QAbstractProxyModel

    public QAbstractProxyModel()

  Equivalent to `QAbstractProxyModel`(0).

### QAbstractProxyModel

    public QAbstractProxyModel(QObject parent)

  Constructs a proxy model with the given `parent`.

Method Detail

### sourceModel

    public final QAbstractItemModel sourceModel()

  Returns the model that contains the data that is available through the proxy model.

  See Also:
    `setSourceModel`

### data

    public java.lang.Object data(QModelIndex proxyIndex,
                                 int role)

  This function is reimplemented for internal reasons.

  Specified by:
    `data` in class `QAbstractItemModel`
  See Also:
    `Qt::ItemDataRole`, `setData`, `headerData`

### flags

    public Qt.ItemFlags flags(QModelIndex index)

  This function is reimplemented for internal reasons.

  Overrides:
    `flags` in class `QAbstractItemModel`
  See Also:
    `Qt::ItemFlags`

### headerData

    public java.lang.Object headerData(int section,
                                       Qt.Orientation orientation,
                                       int role)

  This function is reimplemented for internal reasons.

  Overrides:
    `headerData` in class `QAbstractItemModel`
  See Also:
    `Qt::ItemDataRole`, `setHeaderData`, `QHeaderView`

### itemData

    public java.util.SortedMap<java.lang.Integer,java.lang.Object> itemData(QModelIndex index)

  This function is reimplemented for internal reasons.

  Overrides:
    `itemData` in class `QAbstractItemModel`
  See Also:
    `setItemData`, `Qt::ItemDataRole`, `data`

### mapFromSource

    public abstract QModelIndex mapFromSource(QModelIndex sourceIndex)

  Reimplement this function to return the model index in the proxy model that corresponds to the `sourceIndex` from the source model.

  See Also:
    `mapToSource`

### mapSelectionFromSource

    public QItemSelection mapSelectionFromSource(QItemSelection selection)

  Returns a proxy selection mapped from the specified `selection`.

  Reimplement this method to map source selections to proxy selections.

### mapSelectionToSource

    public QItemSelection mapSelectionToSource(QItemSelection selection)

  Returns a source selection mapped from the specified `selection`.

  Reimplement this method to map proxy selections to source selections.

### mapToSource

    public abstract QModelIndex mapToSource(QModelIndex proxyIndex)

  Reimplement this function to return the model index in the source model that corresponds to the `proxyIndex` in the proxy model.

  See Also:
    `mapFromSource`

### revert

    public void revert()

  This function is reimplemented for internal reasons.

  Overrides:
    `revert` in class `QAbstractItemModel`

### setSourceModel

    public void setSourceModel(QAbstractItemModel sourceModel)

  Sets the given `sourceModel` to be processed by the proxy model.

  See Also:
    `sourceModel`

### submit

    public boolean submit()

  This function is reimplemented for internal reasons.

  Overrides:
    `submit` in class `QAbstractItemModel`

### fromNativePointer

    public static QAbstractProxyModel fromNativePointer(QNativePointer nativePointer)

  This function returns the QAbstractProxyModel instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD